BSON_ITER_OVERWRITE_INT32(3)

NAME
bson_iter_overwrite_int32 - bson_iter_overwrite_int32()

SYNOPSIS

void
bson_iter_overwrite_int32 (bson_iter_t *iter, int32_t value);

PARAMETERS

•   iter: A bson_iter_t.

•   value: A int32_t.

DESCRIPTION

The bson_iter_overwrite_int32() function shall overwrite the contents of a BSON_TYPE_INT32 element in place.

This may only be done when the underlying bson document allows mutation.

It is a programming error to call this function when iter is not observing an element of type BSON_TYPE_BOOL.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc